[ create a new paste ] login | about

Link: http://codepad.org/d4P57EYW    [ raw code | fork ]

psych787 - Plain Text, pasted on Mar 7:
Subject: gstreamer0.10-plugins-base: When used with phonon-gstreamer-backend and KDE4 plasma video widgets colors are wrong.
Package: gstreamer0.10-plugins-base
Version: 0.10.26.2-1
Severity: normal

With version 0.10.26.2-1 and phonon-gstreamer-backend versions 4:4.60really4.3.80-1, 4:4.3.1-5, or 4:4.2.0-2, this package is implicated in causing major colorshifting with KDE4 plasma video widgets. No other gstreamer applications, including totem-gstreamer or dragon player, are affected. In version 0.10.25-2 this issue does not occur.

Bug was confirmed to be in the gstreamer0.10-plugins-base package specifically and worked-around by using *.so files from an ubuntu package of version 0.10.25-2 (original debian package 0.10.25-2 is no longer available). Overwriting files in /usr/lib/gstreamer-0.10 with files from that package restored proper coloration to videos played in KDE4 plasma video widgets.

Attached is debian package gstreamer0.10-plugins-base version 0.10.26.2-1 for the i386 architecture (broken) and ubuntu package gstreamer0.10-plugins-base version 0.10.25-2 (working libs) for reference.

Also, the files are available via dropbox http:
http://dl.dropbox.com/u/2754889/General_Sharing/gstreamer0.10-plugins-base_bugreport/gstreamer0.10-plugins-base_0.10.26.2-1_i386.deb
http://dl.dropbox.com/u/2754889/General_Sharing/gstreamer0.10-plugins-base_bugreport/gstreamer0.10-plugins-base_0.10.25-2ubuntu1.2_i386.deb

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (990, 'stable'), (550, 'testing'), (525, 'unstable'), (500, 'proposed-updates'), (500, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.2-custom (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gstreamer0.10-plugins-base depends on:
ii  libc6                    2.10.2-6        Embedded GNU C Library: Shared lib
ii  libcdparanoia0           3.10.2+debian-5 audio extraction tool for sampling
ii  libglib2.0-0             2.22.4-1        The GLib library of C routines
ii  libgstreamer-plugins-bas 0.10.26.2-1     GStreamer libraries from the "base
ii  libgstreamer0.10-0       0.10.26-1       Core GStreamer libraries and eleme
ii  libgudev-1.0-0           151-2           GObject-based wrapper library for
ii  libogg0                  1.1.3-4         Ogg Bitstream Library
ii  liboil0.3                0.3.16-1        Library of Optimized Inner Loops
ii  libtheora0               1.1.1+dfsg.1-3  The Theora Video Compression Codec
ii  libvisual-0.4-0          0.4.0-2.1       Audio visualization framework
ii  libvorbis0a              1.2.3-3         The Vorbis General Audio Compressi
ii  libvorbisenc2            1.2.3-3         The Vorbis General Audio Compressi
ii  libx11-6                 2:1.3.3-1       X11 client-side library
ii  libxml2                  2.7.6.dfsg-2+b1 GNOME XML library
ii  libxv1                   2:1.0.5-1       X11 Video extension library

Versions of packages gstreamer0.10-plugins-base recommends:
ii  gvfs                          1.4.3-1    userspace virtual filesystem - ser

gstreamer0.10-plugins-base suggests no packages.

-- no debconf information



Create a new paste based on this one


Comments: